The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the List/a Particular Rule Template

Prev Next

This URL retrieves the list/a particular rule template.

Resource URL

GET /domain/<domain_id>/packetcaptureruletemplate

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Number

Yes

Query Parameters:

Field Name

Description

Data Type

Mandatory

name

Name of the rule template. Default is empty which returns all the templates

String

no

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

tempate

List of rule templates

Array

Details of object in template:

Field Name

Description

Data Type

templateId

Id of template

Number

templateName

Name of template

String

visibleToCild

Visible to child or not

Boolean

rule

List of rules

Array

Details of object in rule:

Field Name

Description

Data Type

ruleId

Rule id

Number

traffic

Traffic

String

protocol

Protocol

String

ipVersion

IP version

String

fragmentsOnly

Fragments only

Boolean

sourceIP

Source IP

String

sourceMask

Source mask

Number

sourcePort

Source port

Number

destinationIP

Destination IP

String

destinationMask

Destination mask

Number

destinationPort

Destination port

Number

vlanId

VLAN id

Number

protocolNumber

Protocol number

Number

Example

Request

GET https://<NSM_IP>/sdkapi/domain/101/packetcaptureruletemplate?name=test

Response

{
	"tempate": [{
		"templateId": 101,
		"templateName": "test",
		"visibleToCild": true,
		"rule": [{
			"ruleId": 101,
			"traffic": "ALL",
			"protocol": "TCP",
			"ipVersion": "IPV_4",
			"fragmentsOnly": false,
			"sourceIP": "0.0.0.0",
			"sourceMask": 0,
			"sourcePort": 0,
			"destinationIP": "0.0.0.0",
			"destinationMask": 0,
			"destinationPort": 0,
			"vlanId": 0,
			"protocolNumber": 0
		}]
	}]
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid domain